Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.dlm
Class UserView

    java.lang.Object
      org.jasig.portal.layout.dlm.UserView

     class UserView

extends java.lang.Object

Since:
  uPortal 2.5
Version:
  $Revision: 1.3 $ $Date: 2005/05/02 03:09:35 $

Field Summary
`(package private) org.w3c.dom.Document` | `layout`
`(package private) int` | `layoutId`
`(package private) int` | `profileId`
`static java.lang.String` | `RCS_ID`
`(package private) int` | `structureStylesheetId`
`(package private) DistributedUserPreferences` | `structUserPrefs`
`(package private) int` | `themeStylesheetId`
`(package private) DistributedUserPreferences` | `themeUserPrefs`

Constructor Summary
`UserView()`
`UserView(UserProfile profile, org.w3c.dom.Document layout, DistributedUserPreferences ssup, DistributedUserPreferences tsup)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

See Also:
  Constant Field Values

### structUserPrefs

    DistributedUserPreferences structUserPrefs

### themeUserPrefs

    DistributedUserPreferences themeUserPrefs

### layout

    org.w3c.dom.Document layout

### layoutId

    int layoutId

### profileId

    int profileId

### structureStylesheetId

    int structureStylesheetId

### themeStylesheetId

    int themeStylesheetId

Constructor Detail

### UserView

    UserView()

### UserView

    UserView(UserProfile profile,
             org.w3c.dom.Document layout,
             DistributedUserPreferences ssup,
             DistributedUserPreferences tsup)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD